Page MenuHomeFreeBSD

Clean up final QT4 leftovers
ClosedPublic

Authored by rene on Jun 23 2019, 4:20 PM.

Details

Summary

Clean up final QT4 leftovers after QT4 got removed from the ports tree last March.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rene created this revision.Jun 23 2019, 4:20 PM
Herald added a subscriber: mat. · View Herald Transcript
tcberner added inline comments.
Mk/bsd.sanity.mk
198 ↗(On Diff #58914)

^ shouldn't it stay here, as it became even more unsupported after being deleted ^^

multimedia/libmediaart/Makefile
29 ↗(On Diff #58914)

^ this seems like an unneeded change

rene added inline comments.Jun 23 2019, 4:50 PM
Mk/bsd.sanity.mk
198 ↗(On Diff #58914)

Hmm, perhaps that's right. We might want to alert users a bit longer, but eventually this should go IMO.

multimedia/libmediaart/Makefile
29 ↗(On Diff #58914)

Why? qt4 is not a valid choice anymore, right?

tcberner added inline comments.Jun 23 2019, 5:11 PM
multimedia/libmediaart/Makefile
29 ↗(On Diff #58914)

Because that is simply the line from the meson build file:

https://github.com/GNOME/libmediaart/blob/master/meson_options.txt

rene updated this revision to Diff 58915.Jun 23 2019, 5:24 PM

Revert change to multimedia/libmediaart/Makefile

multimedia/libmediaart/Makefile
29 ↗(On Diff #58914)

Fair enough ;)

rene added a comment.Jun 24 2019, 3:35 PM

Hm, this diff is wrong, it includes local changes :(

rene updated this revision to Diff 58947.Jun 24 2019, 4:17 PM

Fix diff

mat added a comment.Jun 24 2019, 6:57 PM

The sanity bits need to stay, we don't remove them.

mat added inline comments.Jun 24 2019, 6:58 PM
Mk/bsd.sanity.mk
282 ↗(On Diff #58947)

Though this is wrong, it should say something like "QT5 as QT4 is not here any more."

rene marked 2 inline comments as done.Jun 24 2019, 8:04 PM
rene updated this revision to Diff 58963.Jun 24 2019, 8:13 PM

Address @mat 's comments

mat accepted this revision as: portmgr.Jun 25 2019, 2:40 PM

if make index passes, it's ok by me.

This revision was not accepted when it landed; it landed in state Needs Review.Jun 28 2019, 10:34 PM
This revision was automatically updated to reflect the committed changes.